/***********************************************************************************************************/
	  销售热线：010-87875188 QQ:617825365
	  官方地址：http://www.php.cm
	  官方论坛：http://bbs.php.cm
	官方模板站：http://moban.php188.com
	  公司地址：北京市南三环中路70号南曦大厦D座7层
	软件证书号：软著登字第0218482号
	    登记号：2010SR030209
/***********************************************************************************************************/
=========================================================v3.0 RC5=======================================================================
此次改动涉及到商品详情页的部分逻辑处理还有JS 的globals.js的的调整 主要是在购买流程上
修正 商品缺货登记后台连接问题 及前台 的逻辑优化 
增加 商品规格附加参数 支持不同型号 绑定货号 等
调整 商品规格 废弃原来商品规格模式
调整 系统内核 为插件模块安装做准备
调整 商品库存为0时不直接填写为10
修正 配送方式设定指定区域满X元免运费时费用计算错误的问题
增加 模块安装处理
增加 站内支付需要密码支持
增加 团购模块(需单独安装)
修正 蜘蛛抓取识别错误的BUG

=========================================================v3.0 RC4=======================================================================
自3.0以后的版本和原2.X的模板不兼容  内核,文件名均有变化
调整 网站皮肤 原商城系统皮肤和新版皮肤将不兼容
调整 网站后台皮肤 用户体验更好
调整 会员加密方式 使用混合加密方式
调整 订单支付日志的处理
调整 后台内核 速度更快 重新划分权限 把数据库管理归到创始人权限下管理
调整 订单支付逻辑处理
调整 购物车购买流程
调整 因部分IIS 主机设置为index.html,index.php的先后顺序 非伪静态模式时改原路径模式?为index.php?
调整 session过期时间 改为3600秒,可以在php.config.php 找到 define('SESSION_EXP_TIME',3600);/*session过期时间*/ 若没有增加一行
调整 清除缓存的设置 合并模板缓存的删除功能
调整 网站皮肤的管理权限归创始人拥有 即时非创始人拥有下载、上传、备份权限也不能使用
完善 订单的逻辑处理
完善 订单 操作流程 增加对货到付款的处理
完善 添加编辑商品时品牌数据多时查找麻烦的的问题
完善 商品批量导出的操作
完善 静态生成的处理
完善 订单的编辑处理 废弃原来的单一修改为统一处理
完善 数据报表的处理 支持数据报表的导出
废弃 原编辑器改为使用kindeditor(代码过滤稍比原编辑器弱)
废弃 自定义后台菜单功能
废弃 管理员后台登陆路径须手动调整
废弃 原商品规格处理模式,启用新模式 (若已有用户使用商品规格须手动处理)
废弃 原商品分类处的商品筛选模式,使用新的筛选模式(可后台控制)
废弃 后台对IE6的全面支持,请升级到IE7以上使用
合并 原广告和广告位 统一为广告位处理
重写 支付接口 调整支付接口为插件安装模式
重写 会员接口 采用插件模式 
增加 商品独立管理开关(若开启后 管理员可以把后台开放给经销商让其添加数据,所有的数据均独立开,所有添加或编辑后的商品均需要审核处理)
增加 满X元强制使用的物流方式
增加 订单退换货的开关
增加 蜘蛛类型后台设置
增加 前后台访问IP控制
增加 订单退款开关
增加 使用会员余额支付开关
增加 发票开关
增加 积分控制开关(比如充值送积分,积分自动折半等)
增加 免运费设置
增加 特殊商品分类 针对不同的商品对应的物流方式
增加 后台皮肤自由更换
增加 充值送积分
增加 开发模式与运行模式的开关
增加 配送方式费用计算(重大调整)
增加 取消订单,用户退款退货功能
增加 后台 用户资金日志分页功能
增加 礼品兑换功能(礼品订单不走原订单系统)
增加 日志记录搜索
增加 会员重命名
增加 会员重新激活
增加 特殊商品设置
增加 配送方式多模式设置(是否根据用户填写的送货地址计算配送方式和使用管理员费用计算)
增加 商品管理员开关(除管理员外 只能是某个加的管理员管理)
增加 邮件队列功能(延迟发信) 所有发信默认采用延迟发信
增加 商品分类多属性自由后台控制 URL模式变更
增加 易宝支付接口
增加 短信群发功能
增加 URL模式开关 调整原来 index.php?为index.php? 若主机不支持类似yousite.com/index.php/goods/detail/id-10.html地址访问 将不能支付
增加 商品,订单,会员 外部调用接口
增加 快递单跟踪接口
增加 商品品牌和供应商拼音操作的添加操作
增加 会员导出自定义选项
增加 会员高级搜索选项
增加 购物券高级搜索和购物券规则高级搜索
增加 购物券的使用记录
增加 获得购买过此商品的人的购买的其他的商品
增加 获取会员到目前为止的订单统计数据
增加 广告采用JS调用的方法 支持外部站点引用
增加 每个分类和品牌均可自由设置对应分类或品牌下的幻灯片
增加 商品套装(组合销售)
增加 支付宝快捷登陆 QQ登陆 百度API登陆 等 全插件安装模式
增加 地区商品的处理
增加 地区产地商品的处理
增加 商品自定义筛选(自由控制)
增加 使用货到付款时支付增加额外费用开关
增加 积分商品(积分+RMB购买,积分购买,RMB购买) 合并在订单一起处理
增加 管理员后台处理会员的收货地址
增加 订单的权限控制 包括 处理订单的删除 筛选等
修复 清理测试数据时的数据清除不干净的BUG
修复 订单确认时的支付问题
修复 邮件发信时标题过长时出现的乱码问题
修复 更换域名后 站内导航等绝对地址不自动更换域名的问题
修复 后台会员资金统计不准确的问题
修复 后台会员资金列表统计错误的问题
修复 后台 积分列表AJAX 回调页面时出现错误的现象
修复 邮件发信部分内容出现乱码现象
修复 邮件配置时 发信人不填写为邮箱地址时出现 无法发测试邮件的问题
修复 邮件标题过长时出现的邮编乱码问题
修复 订单编辑商品费用时结果为可能为0的问题
修复 编辑增加商品不写日志记录的问题
修复 启用 不带水印的图 时详情页商品图片不显示的问题
修复 后台批量修改时 处理地区不正确的问题
修复 购物车统计商品费用不准确的BUG
修复 后台开启非会员购买也提示登录的BUG 
修复 开启不登陆也可以购买时中途登陆导致的匿名订单问题
修复 购物券重复使用的BUG 
修复 会员购物券显示错误的BUG
修复 编辑商品后商品生成静态页面地址变化的问题
修复 IE6 ,7 在https模式下无法下载的问题

=========================================================v2.0.5 stable=================================================================
修复 编辑商品规格不成功的问题
修复 添加商品标签时显示异常的问题
修复 前台商品分类数据不存在时的提示语言错误
修复 前台默认皮肤购物车处无附加商品的问题
修复 后台文章添加扩展属性后JS错误问题
修复 试用商品和附加商品选择图片时的JS 错误问题
修复 后台过滤空白导致的商品属性和文章属性值全部连在一起的BUG
修复 后台部分菜单语言错误的问题
调整 友情链接,导航管理,幻灯片 添加完成后子框架页面跳转的问题
修复 独立页添加编辑分组错误
完善 后台界面当浏览器高度变化后不返回原始状态的问题
修复 会员分成判断不准确的问题
修复 极个别IIS主机出现的后台cookie路径错误的问题
完善 会员注册推广的操作
增加 中移动支付支付接口
修复 session模式为db时非IE核心浏览器后台FLASH上传图片失败的问题
修复 删除友情链接图片不删除的问题
修复 部分IIS 主机出现 登陆后 页面出现 PHP has encountered a Stack overflow 错误的问题,同时废弃Server_json处理类
修复 文章分类删除分类时存在子分类也可以删除的BUG
修复 生成静态页时当无文章数据时无法生成的BUG 
修复 编辑商品详情时,商品规格参数编辑失败的问题
修复 使用db保存session时保存时限太短的问题
美化 后台部分页面
增加 自定义商品列表显示数据 在商品列表->显示设置 处设置
增加 订单导出,可自定义导出的数据内容结构
调整 商品导出,改为导出自由选择要导出的数据结构
修复 后台部分页面的一些JS 小问题
调整 商品批量操作的操作模式废弃原来的操作模式
增加 订单导出功能 (自由选择要导出的订单数据结构)
增加 订单列表项自由设置
调整 编辑器取消不允许右键的设置
废弃 由于部分IIS 主机获取后台路径问题,废弃自动获取,调整为手动控制 在php.config.php 中加上 define('PHP_MANAGER_ROOT','/admin/'); 即可 admin为管理员后台目录 若改了后台管理员目录 记得一起修改配置文件

=========================================================V2.0.5 beta 3 ================================================================
修复 编辑商品规格不成功的问题
修复 添加商品标签时显示异常的问题
修复 前台商品分类数据不存在时的提示语言错误
修复 商品修改为下架后 页面显示仍为上架的BUG 
修复 极个别主机php.ini里post和upload值设成一样时无法上传的BUG
修复 订单详情 编辑 修改无法弹窗BUG
修复 会员折扣无法体现的问题(在会员->会员分组处操作)
修复 订单详情处 点会员资金日志时显示crack die的问题
修复 前台默认皮肤部分显示上的BUG
修复 后台默认首页站内信息统计和报表统计不不准确的BUG 
修复 IIS 环境下非伪静态模式时候解析路径错误
修复 会员折扣信息 不纳入折扣计算的BUG
完善 后台部分页面在窄屏下显示异常的BUG 
调整 原会员等级,废弃其下的会员折扣信息 保留其积分信息
增加 订单列出场馆
增加 商品搜索 增加商品编号参数
增加 生成充值卡时设置无限时间
增加 自定义订单号(系统设置->商品+分类设置 处修改)

=========================================================V2.0.5 beta 2 ================================================================
【说明】由于静态页面的生成 ，部分模板有改动，V2.0.5一下的模板可能有部分不能使用 或者出现小问题
【特别说明】 APC、eAccelerator、XCache均有可能导致加密后的程序处理不正常,请关闭对应的模块
===============================================================================================================================
页面重大修改:
	会员登录
	商品详情(AJAX 回调数据)
	购物车 调整
 程序重大修改:
	缓存重写
	模板重写
	程序大量优化
===============================================================================================================================
废弃 后台对IE6的全面支持(包括使用IE6 为内核的浏览器都将不会兼容),若是IE6的用户请尽快升级到IE8 或使用非IE内核的浏览器
废弃 模板函数中的select_db 函数
修复 后台商品规格无法保存的问题
修复 编辑器内容无法出现的问题
修复 全站预付款统计 分页导致的问题
修复 支付宝追加配送费用的问题(多计算了一份配送费用)
修复 FLASH上传 选择要上传的文件后 上传进度条慢的问题
修复 使用文件模式时session不能自动销毁的BUG 默认时间为1800秒 可打开init.php文件修改
修复 一些已知的安全问题
完善 (为支持大数据,重写幻灯片),幻灯片上传时图片文件使用中文出现的错误问题 幻灯片分组细化
完善 后台权限菜单 改进算法 
完善 后台查看当前在线用户功能(只有创始人能查看且能强制踢出某个已登录管理员)
完善 创始人修改用户分组权限后 其他登陆用户的权限立即得到修改
完善 文件管理器
完善 短信配置接口
完善 订单处理的逻辑处理
完善 订单的打印处理
完善 后台缓存数据算法
调整 支付方式(从配送方式的 货到付款调整到支付方式里 同时若选择支付方式 则用户提交数据直接跳转到订单中心)
调整 若是蜘蛛爬行不记录访问统计 不记录访问我的浏览历史记录
调整 商品搜索,订单搜索
调整 未登陆状态下且必须要会员登录才能支付的情况下会员登陆后 由直接跳转到会员中心改为跳转到购物车
调整 购物车购买->支付的流程(修改原增加购买商品->填写购货人信息->支付) 到支付页面后若刷新页面将跳转.现调整为只要是用户登录即可看到未支付的订单信息 直接修改即可
调整 原商品阶梯价为商品批发
增加 充值卡功能(网站拥有者可以直接印刷实体卡销售,类似电话卡充值销售)
增加 纯静态生成功能(文章,商品列表,商品详情,地区,品牌),帮助中心,文章中心,地区可单独分配域名使用
增加 订单出货清单
增加 恢复系统默认权限的功能(创始人)
增加 文章详情分页功能
增加 广告后台的搜索,并对地区的支持
增加 上传模板使用密码功能
增加 商品数据导出为xls功能
增加 会员导出邮箱地址,导出手机号码功能
增加 邮件群发,单发功能,并支持文件直接上传群发邮件
增加 附加商品
增加 商品试用
增加 短信,邮件 通知管理员的功能(须在邮件模板处配置)
增加 商品单位
增加 商品高级搜索(后台)
增加 地区分站功能
增加 销售指标
增加 销售量报表 (按 周 月 年 统计 并导出XLS)
增加 商品销售排行
增加 会员购物量排名
增加 会员增长与分布 (可按时间,地区分布查看)
增加 商品访问量与购买次数 
增加 商品扩展价格
增加 邮件订阅
增加 注册推广
增加 拼音获取标志位功能
增加 商品优惠券
增加 蜘蛛爬行统计报表(甘特饼图)
增加 页面静态缓存(非纯静态模式下) 页面可自动缓存具体周期请到到系统配置->缓存设置处管理
增加 编辑器 粘贴为纯文本选项,默认为true 即强制为文本模式,可以在系统配置->编辑器处配置
升级 编辑器 为1.1.1 增加google地图,须用户自行添加 google api的key  
更换 后台模板
更换 JS日历插件 加快访问速度
更换 网页FLV播放器 (前台)
重写 缓存处理操作类
重写 模板引擎 ，速度是原smarty模板引擎的的2-3倍以上 同时支持直接在模板里写PHP代码
=========================================================V2.0.4 beta================================================================
修复 下订单时 允许提交空地址的BUG
修复 下订单时的跨站注入问题
修复 后台邮件测试时有时候发信不成功的BUG
修复 后台订单确认后无法增加发货单的BUG
修复 会员充值出现页面错误的BUG
修复 在IE6下后台部分页面显示异常的问题
废弃 商品回收站功能 
废弃 商品分类显示模式在全局里的设置,改为直接在商品分类处处理
废弃 原SESSION 模式  使用FILE,DB 保存SESSION  默认为file模式 (默认前台SESSION文件保存在 temp/目录下,后台在 admin/session目录下 ,可以在php.config.php 里修改)
	(若在后台清理系统缓存目录下的所有文件将有可能导致已登陆用户退出的现象) DB模式处理测试阶段 暂不推荐使用
调整 下订单,充值,支付等页面发信为AJAX 请求发信 速度大大提升
调整 (后台)商品批量处理模式 删除功能在 商品->批量处理->(选中商品后提交) 同时废弃原来的AJAX 修改商品名称,分类 等模式
调整 废弃原文件上传模式,使用FLASH上传 (带进度条)
修复 商品添加时使用扩展属性时的报错的问题
修复 确认订单支付时报错的问题
修复 商品使用扩展属性时添加属性组但未选择属性值时前台购买商品时的BUG
修复 一个广告位只显示一个广告的BUG
修复 文章评论批量处理失效的BUG
修复 后台管理目录无法自由修改的问题
修复 系统配置 和 搜索为空里 编辑器使用站内图片时前台显示不出来图片的BUG
修复 商品规格编辑编辑时 (选择其图片后再保存 未修改的BUG)
修复 会员中心 浏览历史统计商品不准确的BUG
修复 销量排行删除删除后商品统计不准确的BUG
增加 邮件队列(后台->系统设置->邮件配置->邮件队列)
增加 邮件订单提醒 邮件队列提醒 库存提醒等
增加 前台 分类 自定义搜索 
增加 商品相册功能
增加 短信接口
增加 会员中心 订单处 直接打印订单功能
修复 后台内存和CPU占用过高的问题
升级 编辑器 到1.0.R3 
后台一些小细节的调整
更新 帮助文档 同时增加部分函数及其参数
=========================================================V2.0.3================================================================
【特别说明】
	部分用户安装时出现安装失败或报错的情况,结我们测试发现是zend和
	PHP加速器 eaccelerator 冲突导致的,请自行关闭eaccelerator
	此问题无法通过PHP解决
	关闭方法:打开php.ini  找到所有 eaccelerator的代码 再其前面添加;屏蔽掉 或者删除其代码
	使用appserver(张宴)开发的WEB服务器会导致此问题
	关于销售日志 和商品评论数据不适时更新的问题
	由于系统大量的采用了动态缓存技术,所以会出现数据不适时更新,这不是BUG
	若想立即出现请在后台清理缓存.缓存时间一般不会超过2小时.
	【注意】此处的缓存时间非系统配置中的缓存时间

【注】此版本之前的程序不提供升级程序,此外过去的皮肤可能部分不用 若依赖原系统默认皮肤的可能不可用
今后做的皮肤若依赖默认皮肤将做说明 同时给出若要独立运行需要COPY的文件
小提示: 若需要修改后台管理员的目录 请打开php.config.php 找到 define('PHP_MANAGER_ROOT','admin');//后台目录 
同时 修改admin文件夹为您想要的目录 
===============================================================================================================================
修复 财务统计报表统计数据不准确的BUG
修复 购买使用站内支付时出现页面错乱的问题
修复 手机注册时的判断错误问题
修复 在IIS主机下路由解析模式导致的问题
修复 会员注册时重复名称的问题
修复 模板部分部分地方的错误(销售日志,订购商品选择过多时出现的JS错误)
修复 会员直接购买商品时(网银充值方式)支付后无资金记录的BUG
修复 会员注册后数据统计不准确的BUG
修复 订单未支付时再重新编辑订单时选择配送方式计费不准确的BUG
修复 给会员发信时内容不全的bug 
清理 系统不必要的文件,系统部分冗余代码 删除 $outurl变量等 删除部分模板变量函数
调整 商品$page参数为$is_page参数
调整 语言包的一些不准确的语句
调整 独立页模板的调整及增加批量生成的功能
完善 前台搜索的多关键词组合搜素(同时后台增加热门关键词的处理-动态缓存)
完善 前台商品对比数据不准确的BUG 同时删除原对比的JS
增加 附件删除 上传 查看权限
增加 站内信功能
增加 蜘蛛爬行统计记录
增加 前台自动态生成图片功能(处理部分商品图片不一致的问题)
增加 管理员可在后台修改用户的订单部分数据 (已发货商品不能修改)
增加 站内地图,rss 自动生成 (后台->站内工具->seo)(google地图,商品,文章,品牌等RSS的生成)
增加 商品分类、文章分类,品牌、商品详情、文章详情 独立页 自定义模板功能
增加 全站SEO处理  (商品,分类,品牌,独立页 文章 及其他)
调整 URL路径重写模式 (若已使用本系统且收录,可能影响部分数据收录,原来的路由模式一起兼容) ok
增加 商品关联文章
增加 会员访问前台商品的统计
增加 搜索关键字排行
增加 文章搜索功能
增加 文员登陆使用多种模式登陆(用户名,邮箱地址,手机号)
合并 前台商品详情中用户留言和评论 评论和销售日志采用AJAX 调用
调整 站内信模板的部分内容
调整 会员登录后统计资金和积分的不准确的BUG
调整 系统安装包
调整 后台部分界面显示的BUG问题及用词不当的问题
修复 系统的一些已知BUG
=========================================================V2.0.1================================================================ 
2.0.1 
废弃 证书验证机制
修复 商品开启促销,阶梯价时的计算价格的问题(开启促销后所有价格按促销价)
修复 会员中心积分统计的问题
修复 系统已知BUG
增加 附件管理器的多种格式支持,同时修复系统配置对附件上传的影响

前台模板制作文档:http://php.net/viewthread.php?tid=120
后台使用教程:http://php.net/viewthread.php?tid=119

=========================================================V2.0.0================================================================ 
2.0.0
增加 前台标签搜索功能
增加 商品规格数据
调整 前台搜索商品时实现 商品品牌,商品规格,类型,标签 的自由筛选
增加 规格在前台的筛选功能及商品的规格扩展参数及价格的自由扩展
修复 商品扩展属性错乱的BUG
调整 商品购物车的购买流程(直接原1.x系列模板不可用)
修复 会员中心模板若不存在时不直接调用系统皮肤的bug
增加 购买商品时的多价格处理(商品价,实际购买价)
增加 商品图片批量处理(批量打水印,批量生成缩略图等)
增加 采用动态缓存加快网站访问速度
废弃 幻灯片多模板切换
增加 商品价格阶梯价(类似商品批发)
修复 商品图片打水印或生成缩略图时的导致图片变形的BUG
调整 上传商品时由原来的4张变为5张(包括原图及相册处理) 增加在原图上打水印的功能
修复 商品详情时站内图片链接的问题(在用户更换域名后图片将不显示)
修复 文件管理器调用图片时的BUG
增加 后台GZIP压缩开关及程序自动判断是否IE6并决定是否启用GZIP(即使启用IE6也将不使用.IE6下服务器或程序启用压缩输出后会导致客户机电脑CPU急速上升或IE假死)
开源前台程序
=========================================================V1.1.1================================================================
修复 系统模板前台解析的部分BUG
调整 商品商品后台列表时的内容显示模式
改变 商品销售排行执行模式,使用真实销售模式
修复 财务统计的部分BUG
修复 友情链接存在的问题
加强 商品搜索功能
废弃 商品购车统计函数
废弃 加载在模板里的部分无用函数 (原模板函数手册有部分函数不可能用)
=========================================================V1.1.0================================================================
增加 网站财务报表统计
增加 简单留言功能(类似企站的留言本)
增加 商品销售记录日志
增加 非会员直接购买
增加 整合ucenter(需后台开启)
增加 分类显示模式设置
增加 会员折扣价处理
增加 会员购买商品时自动保存地址功能
增加 会员积分兑换网站货币(需后台开启)
增加 后台查看会员积分日志
增加 后台查看会员资金日志
增加 模板设置的权限
增加 订单打印功能
增加 前台非注册会员查看订单信息功能
增加 在模板里直接查询sql的函数
增加 前台显示全站商品分类功能
增加 商品扩展属性绑定到商品属性 具体表现在商品详情处
增加 商品类型(最新等)在前台的全部显示及显示模式
修复 支付出现返回数据错误的问题
修复 网站帮助提取数据不准确的问题
修复 订单统计数据不准确的问题
修复 商品数据获取不准确的问题
修复 当某个指定模板不存在时前台显示错误的问题
修复 商品双向关联时的问题(一直单向关联)
修复 smarty自定义函数 调用文章时数据不准确的问题
调整 网站基本设置
完善 smarty自定义函数 自由调用
完善 商品搜索在前台显示(支持多模式调用)
=========================================================V1.0================================================================
程序发布 程序试运行

/****************************************************************************************************************************/
	
	路由重写规则范例

/****************************************************************************************************************************/

/******************************************* for apache 2.x系列 部分路径视程序路径请自行修改*********************************/
RewriteEngine on

#伪静态设置

RewriteCond    %{REQUEST_FILENAME} !-d
RewriteCond    %{REQUEST_FILENAME} !-f
RewriteRule    !\.(js|ico|gif|swf|flv|jpg|png|css|zip|rar|tar|pdf|mp3|wav|rmvb|rm)$ index.php QSA,L 

#压缩输出
<FilesMatch "\\.(js|css|html|htm|php|xml|jpg|gif|png|bmp)tiny_mce_markerquot;>
SetOutputFilter DEFLATE
</FilesMatch>

#401-500 错误设置
ErrorDocument 401 /errors/internalerror.php
ErrorDocument 402 /errors/internalerror.php
ErrorDocument 403 /errors/internalerror.php
ErrorDocument 404 /errors/internalerror.php
ErrorDocument 500 /errors/internalerror.php

/******************************************* for nginx  记得修改后 重启nginx服务器*********************************/

找到  location / {
	
     }

  在里面加入
  	if (!-e $request_filename) {
	 rewrite ^/(.*) /index.php?$1&;
	}
注意此方式在伪静态模式下遇到.php 的后缀且文件不存在时会出现异常

完整例子:
server {
    listen       89;
    server_name  localhost;
    location / {
        root   /shop/www;
        index  index.html index.htm index.php default.php;
	if (!-e $request_filename) {
	 rewrite ^/(.*) /index.php?$1&;
	}
	if ($fastcgi_script_name ~ \..*\/.*php ) {
		return 403;
	}
    }
    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   html;
    }
    location ~ .*\.php?$ {
        root           /shop/www;
        fastcgi_pass   127.0.0.1:9000;
	fastcgi_index  index.php;
        fastcgi_param  SCRIPT_FILENAME  /shop/www$fastcgi_script_name;
        include        fastcgi_params;
    }
}